import Vue from 'vue'
import func from '../../utils/FunctionSet'
const state = {
    hasConnectCount:0,
    pressureData:[],
    blueToothDevice:'',
    deviceStatus:'',
    blueSendData:''
}

const actions = {


}
const mutations = {
    SOCKET_reconTest: (state, status) => {
        console.log(status)
    },
    SOCKET_connectCount: (state, count) => {
        //console.log(count)
        state.hasConnectCount = count
    },
    // 断开一个客户端
    SOCKET_disConnectOneClient:(state) =>{
         state.hasConnectCount--
    },
    SOCKET_pressureData(state,data) {
        state.pressureData = data
    },
    SOCKET_connectedClient(state,data) {
        console.log(data)
    },
    SOCKET_setBlueToothDevice(state,data) {
        state.blueToothDevice = data
    },
    SOCKET_setDeviceStatus(state,data) {
        state.deviceStatus = data
    },
    SOCKET_sendBlueData(state,data) {
        state.blueSendData = func.buf2hex(data)
    }
}

const getters = {
    hasConnectCount:state=>state.hasConnectCount,
    pressureData:state=>state.pressureData,
    blueToothDevice:state=>state.blueToothDevice,
    deviceStatus:state=>state.deviceStatus,
    blueSendData:state=>state.blueSendData,
}


export default {
    state,
    actions,
    mutations,
    getters,
}
